[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishDeCryptStream.Create

Constructor for the class instance

## Declaration

Source position: blowfish.pp line 80

`public constructor TBlowFishDeCryptStream.Create(`
`AKey: TBlowFishKey;`
`AKeySize: Byte;`
`Dest: TStream`
`); override;`

## Arguments

`AKey` |  | Key used to decrypt values in Dest. Must match the key used to encrypt the stream content in TBlowFishEnCryptStream.
`AKeySize` |  | Number of bytes in the Key.
`Dest` |  | Stream instance with the values decrypted in the class instance.

## Description

Create is the overridden constructor for the class instance. It calls the inherited constructor on entry using the values in AKey, AKeySize, and Dest as arguments.

Create sets the value in an internal member to the current position in Dest. It acts as the relative origin for the TStream instance, and is used in the Seek method.

## See also

TBlowFishDeCryptStream.Read |  | Read data from the stream
TBlowFishDeCryptStream.Seek |  | Set the stream position.
TBlowFishEnCryptStream.Write |  | Write data to the stream